Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PV2WayConnectOptions Class Reference

`#include <pv_2way_basic_types.h>`

Inheritance diagram for PV2WayConnectOptions:

## Public Methods
| PV2WayConnectOptions ()
| PV2WayConnectOptions (TPVLoopbackMode aLoopbackMode, uint8 *aLocalId, uint32 aLocalIdSize, uint8 *aRemoteId, uint32 aRemoteIdSize)
virtual void | GetConnectInfoClassName (OSCL_wString &aClassName)=0
## Data Fields
TPVLoopbackMode | iLoopbackMode
uint8 * | iLocalId
uint32 | iLocalIdSize
uint8 * | iRemoteId
uint32 | iRemoteIdSize

## Detailed Description

PV2WayConnectOptions Class

PV2WayConnectOptions class contains options to be specified during connect

## Constructor & Destructor Documentation

PV2WayConnectOptions::PV2WayConnectOptions | ( |  | ) | `[inline]`

| Default Constructor

PV2WayConnectOptions::PV2WayConnectOptions | ( | TPVLoopbackMode | aLoopbackMode,
|  | uint8 * | aLocalId,
|  | uint32 | aLocalIdSize,
|  | uint8 * | aRemoteId,
|  | uint32 | aRemoteIdSize
| ) | `[inline]`

  | Constructor Parameters:
  aLoopbackMode | The loopback mode to used during Connect
  aLocalId, aLocalIdSize | A unique octet string identifying the local terminal
  aRemoteId, aRemoteIdSize | A unique octet string identifying the peer (Used only in 2-Stage dialling)
Returns: void

## Member Function Documentation

virtual void PV2WayConnectOptions::GetConnectInfoClassName | ( | OSCL_wString & | aClassName | ) | `[pure virtual]`

  | Pure virtual method that must be overridden. Retrieves class name Parameters:
  aClassName | A reference to an OSCL_wString, which is to hold the subclass name
Returns: void Implemented in PV2Way324ConnectOptions.

## Field Documentation

uint8* PV2WayConnectOptions::iLocalId

| The id of the local terminal

uint32 PV2WayConnectOptions::iLocalIdSize

| The size of the local id

TPVLoopbackMode PV2WayConnectOptions::iLoopbackMode

| The loopback mode

uint8* PV2WayConnectOptions::iRemoteId

| The id of the peer

uint32 PV2WayConnectOptions::iRemoteIdSize

| The size of the remote id

The documentation for this class was generated from the following file:

- pv_2way_basic_types.h